﻿using Microsoft.EntityFrameworkCore;
using System;

namespace BanTur.Core.Entity
{
    [Index(nameof(Magnet))]
    public class BangumiEntry
    {
        public int Id { get; set; }
        public string Magnet { get; set; }
        public string Url { get; set; }
        public string Title { get; set; }

        public DateTime? PubDate { get; set; }
        public DateTime FetchDate { get; set; }
        public BangumiEntryStatus Status { get; set; }
        public string FilePath { get; set; }
    }

    public enum BangumiEntryStatus
    {
        Skipped = -1,
        New = 0,
        Downloading = 1,
        DownloadComplete = 2,
        DownloadError = 3,
    }
}
