﻿using BanTur.Core.Entity;
using BanTur.Core.Utility;
using System;
using BanTur.Tests.Basic;
using Xunit;

namespace BanTur.Tests
{
    public class DbAccessTests: TestBase
    {
        [Fact]
        public void EntryCreationTest()
        {
            var e = new BangumiEntry
            {
                FetchDate = DateTime.Now,
                Magnet = "---test---",
                PubDate = new DateTime(2021, 1, 2, 3, 4, 5),
                Title = "Test",
                Status = BangumiEntryStatus.New,
            };

            DbAccess.AddEntry(e);

            Assert.True(DbAccess.CheckExist(e));
        }

        [Fact]
        public void RealtimeConfigTest()
        {
            var value1 = DbAccess.Config.SendMailHost;
            var value2 = DbAccess.Config.SendMailHost;
        }
    }
}
