﻿using BanTur.Core.Entity;
using BanTur.Core.Utility;
using Microsoft.EntityFrameworkCore;

namespace BanTur.Core.EntityFramework
{
    internal class BanTurContext : DbContext
    {
        public DbSet<FeedSource> FeedSources { get; set; }
        public DbSet<BangumiEntry> BangumiEntries { get; set; }
        public DbSet<ConfigEntry> ConfigEntries { get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseSqlite("Data Source=" + PathHelper.DbFilePath);
        }
    }
}
