﻿using System;
using BanTur.Core.Rss;
using BanTur.Core.Utility;
using BanTur.Tests.Basic;
using Xunit;

namespace BanTur.Tests
{
    public class RssTests : TestBase
    {
        [Fact]
        public void DmhyMirrorTest()
        {
            var xml = HttpAccess.Get("https://dmhy.anoneko.com/topics/rss/rss.xml");
            var entries = RssParser.Parse(xml);
        }

        [Fact]
        public void DmhyTest()
        {
            var xml = HttpAccess.Get("http://dmhy.org/topics/rss/rss.xml");
            var entries = RssParser.Parse(xml);
        }

        [Fact]
        public void MiKanAniTest()
        {
            var xml = HttpAccess.Get("https://mikanani.me/RSS/Search?searchstr=60FPS");
            var entries = RssParser.Parse(xml);
        }
    }
}
